openapi: 3.0.3
info:
  title: Genocide
  version: 1.0.11
servers:
  - url: https://localhost:????/api/v1

tags:
  - name: move-to-poor
    description: Population move operation
  - name: kill
    description: City's population kill operation

paths:
  /genocide/kill/{id}:
    put:
      summary: Kill population of the city with the current id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            example: 2
      tags:
        - kill
      responses:
        '200':
          $ref: './cities.yml#/components/responses/200City'
        '400':
          $ref: './cities.yml#/components/responses/400Response'
        '404':
          $ref: './cities.yml#/components/responses/404Response'

  /genocide/moove-to-poorest/{id}:
    put:
      summary: Move population of one city to the poorest
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            example: 2
      tags:
        - move-to-poor
      responses:
        '200':
          $ref: './cities.yml#/components/responses/204Ok'
        '400':
          $ref: './cities.yml#/components/responses/400Response'
        '404':
          $ref: './cities.yml#/components/responses/404Response'





